| Home | Libraries | People | FAQ | More

##### windows::basic_handle::basic_handle (2 of 2 overloads)

Construct a `windows::basic_handle` on an existing native handle.

    basic_handle(
        boost::asio::io_service & io_service,
        const native_type & native_handle);

This constructor creates a handle object to hold an existing native handle.

###### Parameters

io_service

  The `io_service` object that the handle will use to dispatch handlers for any asynchronous operations performed on the handle.

native_handle

  A native handle.

###### Exceptions

boost::system::system_error

  Thrown on failure.